check_order.hpp File Reference
`#include <limits>`
`#include <stdexcept>`
`#include <string>`
`#include <osmium/handler.hpp>`
`#include <osmium/osm/node.hpp>`
`#include <osmium/osm/relation.hpp>`
`#include <osmium/osm/types.hpp>`
`#include <osmium/osm/way.hpp>`
Include dependency graph for check_order.hpp:

Go to the source code of this file.

## Classes

struct | osmium::out_of_order_error
class | osmium::handler::CheckOrder

## Namespaces

| osmium
| Namespace for everything in the Osmium library.
| osmium::handler
| Osmium handlers provide callbacks for OSM objects.